Get account deletion status
GET
/api/v1/account/deletion
const url = 'https://api.yggy.tech/api/v1/account/deletion';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/account/deletion \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Deletion schedule status
Media type application/json
object
scheduled
required
boolean
scheduledAt
required
string | null
deletesAt
required
string | null
erasing
required
The erasure has started and can no longer be cancelled.
boolean
Example generated
{ "scheduled": true, "scheduledAt": "example", "deletesAt": "example", "erasing": true}Bad request
Media type application/json
object
error
required
string
code
SESSION_NOT_FRESH: sign in again first. DELETION_IN_PROGRESS: too late to cancel.
string
Example generated
{ "error": "example", "code": "example"}Unauthorized
Media type application/json
object
error
required
string
code
SESSION_NOT_FRESH: sign in again first. DELETION_IN_PROGRESS: too late to cancel.
string
Example generated
{ "error": "example", "code": "example"}Forbidden
Media type application/json
object
error
required
string
code
SESSION_NOT_FRESH: sign in again first. DELETION_IN_PROGRESS: too late to cancel.
string
Example generated
{ "error": "example", "code": "example"}Not found
Media type application/json
object
error
required
string
code
SESSION_NOT_FRESH: sign in again first. DELETION_IN_PROGRESS: too late to cancel.
string
Example generated
{ "error": "example", "code": "example"}The deletion is already running
Media type application/json
object
error
required
string
code
SESSION_NOT_FRESH: sign in again first. DELETION_IN_PROGRESS: too late to cancel.
string
Example generated
{ "error": "example", "code": "example"}